Subject: [dtn-users] UPDATE - dtn on sourceforge - Restructuring work on repositories scheduled for Monday (05/10/09) at 23:00:00 UTC.
From: Alex McMahon <[email-masked]>
To: Delay Tolerant Networking Interest List <[email-masked]>, dtn-users mailing list <[email-masked]>
Date: Wed, 30 Sep 2009 12:51:22 -0700
List-Id: dtn-users mailing list <dtn-users.maillists.intel-research.net>

By 05/10/09 I mean 5-Oct-2009 and not May 10th.

~A

On Wed, 2009-09-30 at 12:36 -0700, Alex McMahon wrote:
> On 2009-08-13 SourceForge rolled out multiple repository support 
> per-project for Mercurial repositories (https://sourceforge.net/apps/wordpress/sourceforge/2009/08/05/mercurial-multiple-repository-support/ ).
> Consequently some work will have to be done in order to restructure the DTNRG 
> repositories so that they are in a supported configuration by SourceForge 
> and so that the SourceForge documentation relating to use and administration 
> of the repositories applies. 
> 
> The restructuring work will interrupt repository function for a short
> period of time (a suitable evening). After which, you will want to start
> pushing and pulling your changes from the new location. I shall update
> the relevant wiki pages on http://www.dtnrg.org accordingly to refer to
> the new source repository locations. Once completed the access
> mechanisms as described in
> https://sourceforge.net/apps/trac/sourceforge/wiki/Mercurial#Access
> shall apply. For example to clone DTN2 from the new location and where
> "USERNAME" represents your SourceForge.net user account.
> 
> hg clone ssh://[email-masked]/hgroot/dtn/DTN2 
> 
> If I do not receive posts to indicate otherwise I shall assume it is OK
> to proceed with restructuring work outlined next Monday (05/10/09) at
> 23:00:00 UTC. The work should take no longer than two hours and I shall
> post an update on completion. At time of transition I shall take the old
> repositories offline and about month later decommission so as to avoid
> confusion.
> 
> If this is not a good time I can reschedule. My apologies for the
> inconvenience in this transition. 
> 
> Alex
> 

Sender: Alex McMahon <[email-masked]>
From: Alex McMahon <[email-masked]>
To: Delay Tolerant Networking Interest List <[email-masked]>,  dtn-users mailing list <[email-masked]>
Organization: Trinity College Dublin
Date: Wed, 30 Sep 2009 12:36:24 -0700
Subject: [dtn-users] dtn on sourceforge - Restructuring work on repositories scheduled for Monday (05/10/09) at 23:00:00 UTC.
Reply-To: [email-masked]

On 2009-08-13 SourceForge rolled out multiple repository support 
per-project for Mercurial repositories (https://sourceforge.net/apps/wordpress/sourceforge/2009/08/05/mercurial-multiple-repository-support/ ).
Consequently some work will have to be done in order to restructure the DTNRG 
repositories so that they are in a supported configuration by SourceForge 
and so that the SourceForge documentation relating to use and administration 
of the repositories applies. 

The restructuring work will interrupt repository function for a short
period of time (a suitable evening). After which, you will want to start
pushing and pulling your changes from the new location. I shall update
the relevant wiki pages on http://www.dtnrg.org accordingly to refer to
the new source repository locations. Once completed the access
mechanisms as described in
https://sourceforge.net/apps/trac/sourceforge/wiki/Mercurial#Access
shall apply. For example to clone DTN2 from the new location and where
"USERNAME" represents your SourceForge.net user account.

hg clone ssh://[email-masked]/hgroot/dtn/DTN2 

If I do not receive posts to indicate otherwise I shall assume it is OK
to proceed with restructuring work outlined next Monday (05/10/09) at
23:00:00 UTC. The work should take no longer than two hours and I shall
post an update on completion. At time of transition I shall take the old
repositories offline and about month later decommission so as to avoid
confusion.

If this is not a good time I can reschedule. My apologies for the
inconvenience in this transition. 

Alex

Sender: [email-masked]
Date: Wed, 30 Sep 2009 14:44:16 -0400
From: Nick Fox <[email-masked]>
To: [email-masked], [email-masked]
Subject: [dtn-users] bundle expire malfunction??

--001485ea3cbc0774090474cfeb0b
Content-Type: text/plain; charset=ISO-8859-1

I am using DTN2-2.6.0 and flooding routing.  I believe I am experiencing
some odd behavior with the bundle expire command.

Here is my test scenario:

Nodes N1, N2, N3, and N4 all have entries in each others link lists.  Say N1
has a dtnsend command run on it while all links are closed which creates
bundle B1.  If a bundle info command is run on B1, then it is "queued" of
the following lists:all_bundles, pending_bundles,
FloodBundleRouter::all_bundles, link-0:deferred, link-1:deferred, and
link-2:deferred (link-0=N2, link-1=N3, link-2=N4).  Now if the link opens
with N3, the bundle is flooded to N3 and a bundle expire command is run on
the bundle on N1.  Here is the what I see on N1.  Bundle list status = NOT
PENDING.  Now if bundle info is run on it, it is "queued" on the following
lists:all_bundles, link-0:deferred, link-2:deferred.  If N1 now opens a link
with N2 and/or N4, the bundle is still flooded to the node and it is removed
from the corresponding link:deferred list.  When all known nodes have been
encountered, then the bundle finally disappears from the bundle list and is
deleted.  Note: if N1 were to open a link to a "new" node ex. N6, then the
bundle would be flooded to N6 as well.

I am curious, is this the intended behavior of the bundle expire command? I
was under the impression that expiring a bundle would simply remove it from
the bundle list immediately and delete the bundle.  Also, if this is the
intended behavior for bundle expire, is there a way to manually alter which
lists a bundle is a part of?

Thanks in advance for your comments/suggestions.

Nick Fox

--001485ea3cbc0774090474cfeb0b
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

I am using DTN2-2.6.0 and flooding routing.=A0 I believe I am experiencing =
some odd behavior with the bundle expire command.<br><br>Here is my test sc=
enario:<br><br>Nodes N1, N2, N3, and N4 all have entries in each others lin=
k lists.=A0 Say N1 has a dtnsend command run on it while all links are clos=
ed which creates bundle B1.=A0 If a bundle info command is run on B1, then =
it is &quot;queued&quot; of the following lists:all_bundles, pending_bundle=
s, FloodBundleRouter::all_bundles, link-0:deferred, link-1:deferred, and li=
nk-2:deferred (link-0=3DN2, link-1=3DN3, link-2=3DN4).=A0 Now if the link o=
pens with N3, the bundle is flooded to N3 and a bundle expire command is ru=
n on the bundle on N1.=A0 Here is the what I see on N1.=A0 Bundle list stat=
us =3D NOT PENDING.=A0 Now if bundle info is run on it, it is &quot;queued&=
quot; on the following lists:all_bundles, link-0:deferred, link-2:deferred.=
=A0 If N1 now opens a link with N2 and/or N4, the bundle is still flooded t=
o the node and it is removed from the corresponding link:deferred list.=A0 =
When all known nodes have been encountered, then the bundle finally disappe=
ars from the bundle list and is deleted.=A0 Note: if N1 were to open a link=
 to a &quot;new&quot; node ex. N6, then the bundle would be flooded to N6 a=
s well.<br>

<br>I am curious, is this the intended behavior of the bundle expire comman=
d? I was under the impression that expiring a bundle would simply remove it=
 from the bundle list immediately and delete the bundle.=A0 Also, if this i=
s the intended behavior for bundle expire, is there a way to manually alter=
 which lists a bundle is a part of?=A0 <br>

<br>Thanks in advance for your comments/suggestions.<br><br>Nick Fox<br>

--001485ea3cbc0774090474cfeb0b--

Date: Tue, 22 Sep 2009 16:04:15 +0800
From: "Graham Keellings (Leonix Solutions Pte Ltd)" <[email-masked]>
Organization: Leonix Solutions Pte Ltd
To: [email-masked]
Cc: Delay Tolerant Networking Interest List <[email-masked]>, [email-masked], Joerg Ott <[email-masked]>
Subject: Re: [dtn-users] [dtn-interest] New DTN Symbian implementation release available

This is a multi-part message in MIME format.
--------------020203040302020203050807
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

If someone wanted to make a port to a new platform, is there any 
documentation, website, faq, how-to, wiki, etc to give a few pointers?

Or does every new porter just work it out from first principles?

--------------020203040302020203050807
Content-Type: text/x-vcard; charset=utf-8;
 name="Graham.vcf"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="Graham.vcf"

begin:vcard
fn:Graham Keellings
n:Keellings;Graham
org:Leonix Solutions Pte Ltd
adr:TradeHub 21;;18 Boon Lay Way #09-95;;;609966;Singapore
email;internet:[email-masked]
title:Technical director
tel;work:+65 6316 9968
tel;fax:+65 6316 9208
tel;cell:+65 9725 7353
url:http://leonixsolutions.com/
version:2.1
end:vcard

--------------020203040302020203050807--

Date: Thu, 17 Sep 2009 16:58:29 +0300
From: Anssi Turkulainen <[email-masked]>
To: Charles Woloszynski <[email-masked]>, [email-masked]
Cc: Delay Tolerant Networking Interest List <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [dtn-users] [dtn-interest] New DTN Symbian implementation release available

iPhone TCP convergence layer was utilized at the interop. Teemu, could 
you shed some light on this implementation?

Thanks,
Anssi

Charles Woloszynski kirjoitti:
> What iPhone implementation?  Didn't know there was one. Can you 
> provide any pointers?
>
> Thanks
>
> Charlie
>
> Sent from my iPhone
>
> On Sep 17, 2009, at 8:59 AM, Anssi Turkulainen <[email-masked]> 
> wrote:
>
>> Ivancic, William D. (GRC-RHN0) kirjoitti:
>>>>> we just completed a release of DTNS60 a DTN implementation
>>>>> (RFC 5050 + TCP convergence layer) interoperable with DTN2
>>>>> (as just checked at the Stockholm DTN interop).  It has
>>>>> also proven robust to challenged environments at ExtremeCom 2009.
>>>>>
>>>>> It comes with a dtnping, dtnsend, and dtnrecv as simple apps
>>>>> and DT-Talkie interoperable with our Linux/MacOS/Android tool.
>>>>> Most importantly, this now comes with an API as well.
>>>>>
>>>
>>> Are dtnping, dtnsend and dtnrecv interoperable with DTN2 or other 
>>> DTN implementations?
>>>
>>> -- Will
>>>
>> Yes, simple interoperations currently works. I have tested
>> interoperability mostly with DTN2. But also iPhone & Java TCPCL and BBN
>> implementations earlier in the Disconnectathon seemed to work.
>>
>> -Anssi
>> _______________________________________________
>> dtn-interest mailing list
>> [email-masked]
>> http://maillists.intel-research.net/mailman/listinfo/dtn-interest

Date: Thu, 17 Sep 2009 16:52:31 +0300
From: Teemu <[email-masked]>
To: Charles Woloszynski <[email-masked]>
Cc: Delay Tolerant Networking Interest List <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [dtn-users] [dtn-interest] New DTN Symbian implementation release available

Hi,

This refers to my TCP CL and bundle parsing/generation implementation in
Objective-C. It was tested in the Disconnectathon and is intended to be
publicly released but is not yet public. If there is interest in it please
let me know so I can gauge the level of interest and prioritize my time
accordingly;)

Cheers,
-Teemu

On 17.9.2009 16.20, "Charles Woloszynski"
<[email-masked]> wrote:

> What iPhone implementation?  Didn't know there was one. Can you
> provide any pointers?
> 
> Thanks
> 
> Charlie
> 
> Sent from my iPhone
> 
> On Sep 17, 2009, at 8:59 AM, Anssi Turkulainen <[email-masked]>
> wrote:
> 
>> Ivancic, William D. (GRC-RHN0) kirjoitti:
>>>>> we just completed a release of DTNS60 a DTN implementation
>>>>> (RFC 5050 + TCP convergence layer) interoperable with DTN2
>>>>> (as just checked at the Stockholm DTN interop).  It has
>>>>> also proven robust to challenged environments at ExtremeCom 2009.
>>>>> 
>>>>> It comes with a dtnping, dtnsend, and dtnrecv as simple apps
>>>>> and DT-Talkie interoperable with our Linux/MacOS/Android tool.
>>>>> Most importantly, this now comes with an API as well.
>>>>> 
>>> 
>>> Are dtnping, dtnsend and dtnrecv interoperable with DTN2 or other
>>> DTN implementations?
>>> 
>>> -- Will
>>> 
>> Yes, simple interoperations currently works. I have tested
>> interoperability mostly with DTN2. But also iPhone & Java TCPCL and
>> BBN
>> implementations earlier in the Disconnectathon seemed to work.
>> 
>> -Anssi
>> _______________________________________________
>> dtn-interest mailing list
>> [email-masked]
>> http://maillists.intel-research.net/mailman/listinfo/dtn-interest
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-interest

Date: Thu, 17 Sep 2009 15:59:51 +0300
From: Anssi Turkulainen <[email-masked]>
To: "Ivancic, William D. (GRC-RHN0)" <[email-masked]>
Cc: Delay Tolerant Networking Interest List <[email-masked]>, "[email-masked]" <[email-masked]>, Joerg Ott <[email-masked]>
Subject: Re: [dtn-users] New DTN Symbian implementation release available

Ivancic, William D. (GRC-RHN0) kirjoitti:
>>> we just completed a release of DTNS60 a DTN implementation
>>> (RFC 5050 + TCP convergence layer) interoperable with DTN2
>>> (as just checked at the Stockholm DTN interop).  It has
>>> also proven robust to challenged environments at ExtremeCom 2009.
>>>
>>> It comes with a dtnping, dtnsend, and dtnrecv as simple apps
>>> and DT-Talkie interoperable with our Linux/MacOS/Android tool.
>>> Most importantly, this now comes with an API as well.
>>>       
>
> Are dtnping, dtnsend and dtnrecv interoperable with DTN2 or other DTN implementations?
>
> -- Will
>   
Yes, simple interoperations currently works. I have tested 
interoperability mostly with DTN2. But also iPhone & Java TCPCL and BBN 
implementations earlier in the Disconnectathon seemed to work.

-Anssi

From: "Ivancic, William D. (GRC-RHN0)" <[email-masked]>
To: "[email-masked]" <[email-masked]>, Joerg Ott <[email-masked]>
Date: Thu, 17 Sep 2009 07:33:34 -0500
Accept-Language: en-US
acceptlanguage: en-US
Cc: Delay Tolerant Networking Interest List <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [dtn-users] New DTN Symbian implementation release available

>> we just completed a release of DTNS60 a DTN implementation
>> (RFC 5050 + TCP convergence layer) interoperable with DTN2
>> (as just checked at the Stockholm DTN interop).  It has
>> also proven robust to challenged environments at ExtremeCom 2009.
>>
>> It comes with a dtnping, dtnsend, and dtnrecv as simple apps
>> and DT-Talkie interoperable with our Linux/MacOS/Android tool.
>> Most importantly, this now comes with an API as well.

Are dtnping, dtnsend and dtnrecv interoperable with DTN2 or other DTN implementations?

-- Will

Date: Thu, 17 Sep 2009 01:00:43 +0300
From: [email-masked]
To: Joerg Ott <[email-masked]>
Cc: Delay Tolerant Networking Interest List <[email-masked]>, [email-masked]
Subject: Re: [dtn-users] New DTN Symbian implementation release available

Hi,

also the source code is available now. Note that this is a pre-alpha  
version, and we are open for contribution.

Read-only copy can be fetched using Mercurial:

hg clone http://dtns60.hg.sourceforge.net:8000/hgroot/dtns60/dtns60

Cheers,
Anssi

Lainaus Joerg Ott <[email-masked]>:

> Folks,
>
> we just completed a release of DTNS60 a DTN implementation
> (RFC 5050 + TCP convergence layer) interoperable with DTN2
> (as just checked at the Stockholm DTN interop).  It has
> also proven robust to challenged environments at ExtremeCom 2009.
>
> It comes with a dtnping, dtnsend, and dtnrecv as simple apps
> and DT-Talkie interoperable with our Linux/MacOS/Android tool.
> Most importantly, this now comes with an API as well.
>
> This is a follow-up on our earlier DASM work, but the author,
> Anssi Turkulainen, has done a pretty much complete redesign
> (with just some pieces left in until now).
>
> Please check out its home page at:
>
>     http://www.netlab.tkk.fi/tutkimus/dtn/dtns60/
>
> where you can also find the binaries for the above tools.
>
> The source code will soon be available at:
>
>     http://sourceforge.net/projects/dtns60/
>
> Anssi and Joerg